petsc-3.7.1 2016-05-15
Report Typos and Errors

# ISLocalToGlobalMappingCreateSF

Creates a mapping between a local (0 to n) ordering and a global parallel ordering.

### Synopsis

    #include "petscis.h"
    PetscErrorCode ISLocalToGlobalMappingCreateSF(PetscSF sf,PetscInt start,ISLocalToGlobalMapping *mapping)

Collective Many br

### Input Parameter

| sf | - star forest mapping contiguous local indices to (rank, offset) Many br
| start | - first global index on this process Many br

### Output Parameter

mapping -new mapping data structure Many br

Many br

### See Also

ISLocalToGlobalMappingDestroy(), ISLocalToGlobalMappingCreate(), ISLocalToGlobalMappingCreateIS()

Level:advanced
Location:src/vec/is/utils/isltog.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages